// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import { Button,Search,Divider,Loading,Field,Notify } from 'vant';
import VueQuillEditor from 'vue-quill-editor';
// require styles
import 'quill/dist/quill.core.css';
import 'quill/dist/quill.snow.css';
import 'quill/dist/quill.bubble.css';

Vue.use(VueQuillEditor, /* { default global options } */{
  placeholder:'请输入内容',
  modules: {
    toolbar: [
      [{'color': []}],
      ['bold', 'italic', 'underline', 'strike'],
      [{'header': 1}, {'header': 2}],
      [{'header': [1, 2, 3, 4, 5, 6, false]}
      ],
    ],
  },
  // readOnly: false,
  // theme: 'bubble'
});

Vue.use(Search);
Vue.use(Button);
Vue.use(Divider);
Vue.use(Loading);
Vue.use(Field);
Vue.use(Notify);
Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
})
